import { Test, TestingModule } from '@nestjs/testing';
import { AnswerController } from './answer.controller';
import { AnswerService } from './answer.service';
import { AnswerRepository } from './store/answer-repository';

describe('AnswerController', () => {
  let controller: AnswerController;
  let mockAnswerService: Partial<AnswerService>;

  beforeEach(async () => {
    const mockAnswerRepository = {};

    const module: TestingModule = await Test.createTestingModule({
      controllers: [AnswerController],
      providers: [
        {
          provide: AnswerService,
          useValue: {
            isCorrect: jest.fn().mockResolvedValue(true),
          },
        },
        {
          provide: AnswerRepository,
          useValue: mockAnswerRepository,
        },
      ],
    }).compile();

    controller = module.get<AnswerController>(AnswerController);
  });

  afterEach(() => {
    jest.clearAllMocks();
    jest.resetAllMocks();
    jest.restoreAllMocks();
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
