import { Module } from '@nestjs/common';
import { AnswerService } from './answer.service';
import { AnswerController } from './answer.controller';
import { PrismaModule } from '../../infra/prisma/prisma.module';
import { AnswerRepositoryOnDb } from './store/answer-repository-on-db';
import { AnswerRepository } from './store/answer-repository';
import { PrismaService } from '../../infra/prisma/prisma-service';

@Module({
  imports: [PrismaModule],
  controllers: [AnswerController],
  providers: [
    AnswerService,
    {
      provide: AnswerRepository,
      useClass: AnswerRepositoryOnDb,
    },
    PrismaService,
  ],
  exports: [AnswerService, AnswerRepository],
})
export class AnswerModule {}
