import { forwardRef, Module } from '@nestjs/common';
import { PartyService } from './party.service';
import { PartyController } from './party.controller';
import { PrismaModule } from 'src/infra/prisma/prisma.module';
import { PartyRepositoryOnDb } from './store/party-repository-on-db';
import { PartyRepository } from './store/party-repository';
import { SseService } from './sse.service';
import { UserModule } from '../user/user.module';
import { RunModule } from '../run/run.module';
import { AnswerModule } from '../answer/answer.module';

@Module({
  imports: [
    PrismaModule,
    forwardRef(() => UserModule),
    forwardRef(() => RunModule),
    forwardRef(() => AnswerModule),
  ],
  providers: [
    PartyService,
    {
      provide: PartyRepository,
      useClass: PartyRepositoryOnDb,
    },
    SseService,
  ],
  controllers: [PartyController],
})
export class PartyModule {}
