import { Injectable } from '@nestjs/common';
import { Subject } from 'rxjs';

@Injectable()
export class SseService {
  private clients = new Map<string, Subject<any>[]>();

  addClient(partyId: string, client: Subject<any>) {
    if (!this.clients.has(partyId)) {
      this.clients.set(partyId, []);
    }
    this.clients.get(partyId).push(client);
  }

  removeClient(partyId: string, client: Subject<any>) {
    if (this.clients.has(partyId)) {
      const clients = this.clients.get(partyId);
      const index = clients.indexOf(client);
      if (index !== -1) {
        clients.splice(index, 1);
      }
    }
  }

  sendEvent(partyId: string, event: any) {
    if (this.clients.has(partyId)) {
      console.log(this.clients.size);
      this.clients.get(partyId).forEach((client) => {
        console.log('yo');
        client.next(event);
      });
    }
  }

  sendEventToUser(partyId: string, userId: number, event: any) {
    if (this.clients.has(partyId)) {
      console.log('Sending event to user', userId, ':', event); // Ajoutez ce log
      this.clients.get(partyId).forEach((client) => client.next(event));
    }
  }
}
