import { Party, PartyStatus } from '@prisma/client';

export abstract class PartyRepository {
  abstract findParty(partyId: string): Promise<Party | null>;
  abstract createParty(infos: {
    hostId: number;
    quizId: string;
    partyId: string;
  }): Promise<Party>;

  abstract joinParty(infos: {
    userId: number;
    partyId: string;
  }): Promise<Party>;

  abstract leaveParty(userId: number): Promise<void>;

  abstract setPartyStatus(partyId: string, status: PartyStatus): Promise<void>;
  abstract getQuizId(partyId: string): Promise<string>;
  abstract answer({
    runId,
    questionId,
    answerId,
  }: {
    runId: string;
    questionId: number;
    answerId: number;
  });
  abstract getScores(
    partyId: string,
  ): Promise<{ id: number; username: string; score: number }[]>;
}
