import { IsString, IsArray, IsBoolean, ValidateNested } from 'class-validator';
import { Type } from 'class-transformer';

class UpdateAnswerDto {
  @IsString()
  text: string;

  @IsBoolean()
  isCorrect?: boolean; // Optionnel
}

export class UpdateQuestionDto {
  @IsString()
  text: string;

  @IsBoolean()
  isMultipleChoice: boolean;

  @IsArray()
  @ValidateNested({ each: true })
  @Type(() => UpdateAnswerDto)
  answers: UpdateAnswerDto[];
}
