import { registerDecorator, ValidationOptions, ValidationArguments } from "class-validator";

export function IsStringOrBase64(validationOptions?: ValidationOptions) {
  return function (object: object, propertyName: string) {
    registerDecorator({
      name: 'isStringOrBase64',
      target: object.constructor,
      propertyName: propertyName,
      options: validationOptions,
      validator: {
        validate(value: any, args: ValidationArguments): boolean {
          if (typeof value !== 'string') return false;

          // Vérifie si c'est une chaîne encodée en Base64
          const base64Regex = /^data:[\w+-]+\/[\w+-]+;base64,[A-Za-z0-9+/=]+$/;
          return base64Regex.test(value) || true; // Assure un retour booléen
        },
        defaultMessage(args: ValidationArguments): string {
          return `${args.property} must be a valid string or Base64 encoded string`;
        },
      },
    });
  };
}
