import { Module, forwardRef } from '@nestjs/common';
import { QuizService } from './quiz.service';
import { QuizController } from './quiz.controller';
import { HttpModule } from '@nestjs/axios';
import { PrismaModule } from '../../infra/prisma/prisma.module';
import { QuizRepositoryOnDb } from './store/quiz-repository-on-db';
import { QuizRepository } from './store/quiz-repository';
import { AnswerModule } from '../answer/answer.module';
import { RunModule } from '../run/run.module';

@Module({
  imports: [
    HttpModule,
    PrismaModule,
    AnswerModule,
    forwardRef(() => RunModule),
  ],
  controllers: [QuizController],
  providers: [
    QuizService,
    {
      provide: QuizRepository,
      useClass: QuizRepositoryOnDb,
    },
  ],
  exports: [QuizService],
})
export class QuizModule {}
