import { Module } from '@nestjs/common';
import { UserService } from './user.service';
import { UserController } from './user.controller';
import { PrismaModule } from 'src/infra/prisma/prisma.module';
import { UserRepository } from './store/user-repository';
import { UserRepositoryOnDb } from './store/user-repository-on-db';

@Module({
  imports: [PrismaModule],
  controllers: [UserController],
  providers: [
    UserService,
    {
      provide: UserRepository,
      useClass: UserRepositoryOnDb,
    },
  ],
  exports: [UserService],
})
export class UserModule {}
