import * as cookieParser from 'cookie-parser';
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { readFileSync } from 'fs';
import * as bodyParser from 'body-parser';

async function bootstrap() {
  const httpsOptions = {
    key: readFileSync(process.env.SSL_PRIVKEY, 'utf8'),
    cert: readFileSync(process.env.SSL_CERTIFICAT, 'utf8'),
  };

  const app = await NestFactory.create(AppModule, { httpsOptions });

  app.use(cookieParser());
  app.use(bodyParser.json({ limit: Infinity }));
  app.enableCors({
    origin: [
      'https://klebert-host.com:33040',
      'https://klebert-host.com:33035',
      'http://localhost:4200',
    ],
    credentials: true,
    methods: 'GET,HEAD,PUT,PATCH,POST,DELETE',
    allowedHeaders: 'Content-Type, Accept, Authorization',
  });
  await app.listen(process.env.PORT ?? 3000);
}

bootstrap();
